首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
V2EX  ›  Visual Studio Code

Gulp 4 的语法变化很大

  •  
  •   Livid · 315 天前 · 1840 次点击
    这是一个创建于 315 天前的主题,其中的信息可能已经有所发展或是发生改变。

    貌似现在如果 npm install gulp 直接安装的就是版本 4,然后由于语法变化,Visual Studio Code 文档里介绍的这种自动化 build sass/less 的设置就会无法工作。

    https://code.visualstudio.com/docs/languages/css

    如果暂时不想把 gulpfile.js 折腾到版本 4 的新语法的话,那么需要在安装 gulp 的时候指定版本号:

    npm install [email protected]
    
    6 回复  |  直到 2019-01-28 07:39:42 +08:00
        1
    lance7in   315 天前
    大龄码农最怕的就是这种事
        2
    chinvo   315 天前 via iPhone
    @lance7in #1 就是年轻人也怕啊,比如赶着上线的项目,突然就把 gulp 更新了
        3
    Cbdy   314 天前 via Android
    版本管理不就是干这个的嘛
        4
    dong3580   314 天前
    不知道每次安装完生成的.lock 文件会不会锁定版本。
        5
    flowfire   314 天前 via Android
    @dong3580 lock 锁定是在 package.json 前提下才会锁定
        6
    Livid   V2EX Moderator   313 天前
    如果现在在一个全新环境下,按照 VS Code 网站上的指南去做,就会遇到这个问题。
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   905 人在线   最高记录 5043   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 23ms · UTC 20:27 · PVG 04:27 · LAX 12:27 · JFK 15:27
    ♥ Do have faith in what you're doing.